[page:Object3D] →

# [name]

Creates a visual aid for a [page:RectAreaLight].

## Code Example

`const light = new THREE.RectAreaLight( 0xffffbb, 1.0, 5, 5 ); const helper = new RectAreaLightHelper( light ); light.add( helper ); // helper must be added as a child of the light`

## Constructor

### [name]( [param:RectAreaLight light], [param:Hex color] )

[page:RectAreaLight light] -- The light being visualized.
[page:Hex color] -- (optional) if this is not the set the helper will take the color of the light.

## Properties

See the base [page:Object3D] class for common properties.

### [property:RectAreaLight light]

Reference to the RectAreaLight being visualized.

### [property:hex color]

The color parameter passed in the constructor. Default is `undefined`. If this is changed, the helper's color will update the next time [page:.update update] is called.

## Methods

See the base [page:Object3D] class for common methods.

### [method:undefined dispose]()

Dispose of the rectAreaLightHelper.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/helpers/RectAreaLightHelper.js examples/jsm/helpers/RectAreaLightHelper.js]